# application configuration for promotion
# PRODUCTION

# A section of the configuration file that contains folder paths
module Folders
	# The folder where applications are staged (eg. from Subversion)
	# ready for deployment
	Staging = "/var/staging"
	# The system crontab folder
	Crontabs = "/var/cron/tabs"
end

# A section of the configuration file that contains file paths
module Files
	# The standard name of the deployment descriptor for all apps
	Spec = "deploy.xml"
	# The log file for promotion
	Log = "/var/staging/Promotion.log"
	# system path to the shared profile
	Profile = "/etc/profile"
	# system path to the sudoers file
	Sudoers = "/etc/sudoers"
	# system path to rc.conf.local
	Rc_conf = "/etc/rc.conf.local"
	# system path to newsyslog.conf
	Newsyslog = "/etc/newsyslog.conf"
	# path to useradd executable
	Useradd = "/usr/sbin/useradd"
	# path to usermod executable
	Usermod = "/usr/sbin/usermod"
	# path to groupadd executable
	Groupadd = "/usr/sbin/groupadd"
	# path to groupmod executable
	Groupmod = "/usr/sbin/groupmod"
	# path to visudo executable
	Visudo = "/usr/sbin/visudo"
	# path to crontab executable
	Crontab = "/usr/bin/crontab"
	# path to zip executable
	Zip = "/usr/local/bin/zip -q "
	# path to subversion (svn) executable
	Svn = "/usr/local/bin/svn "
end

# A section of the configuration file that contains ERB template filenames
module Templates
	# filename for template for /etc/profile
	Profile = "profile.erb"
	# filename for template for /etc/rc.conf.local
	Rc_conf = "rc.conf.local.erb"
	# filename for template for /etc/sudoers
	Sudoers = "sudoers.erb"
	# filename for Crontab template
	Crontab = "crontab.erb"
	# filename for template for /etc/newsyslog.conf
	Newsyslog = "newsyslog.conf.erb"
end
