require 'fileutils'

#______________________
if Process.euid != 0
  puts("This script must be run as root")
  exit 1
end

#______________________
# Enable graceful exit especially while seeking input
["INT", "TERM", "QUIT"].each { |sig|
  Signal.trap(sig) {
    puts("")
    exit(0)
  }
}

#______________________
# display intent
bindir = File.expand_path("../../bin", File.dirname(__FILE__))
executables = %w{promote evolve devolve mkdeploy}

puts("Installing Promotion")
puts("--------------------")
puts("This procedure will install the following executables:")
executables.each { |exe|
  puts(" * #{exe}")
}

#______________________
# confirm path to install to
sbindir = "/usr/local/sbin"
confirmed = false
begin
  print("Install to path [#{sbindir}]: ")
  answer = gets().chomp()
  if answer == ""
    confirmed = true
  else
    if File.directory?(answer)
      confirmed = true
      sbindir = answer
    else
      puts("  Sorry, the directory #{answer} was not found.\n\n")
    end
  end
end until confirmed

#______________________
# install the executables
executables.each { |exe|
  targ = "#{sbindir}/#{exe}"
  FileUtils.cp("#{bindir}/#{exe}", targ)
  FileUtils.chown("root", "wheel", targ)
  FileUtils.chmod(0755, targ)
  puts(" " + `ls -l #{targ}`)
}

#______________________
# create staging area
staging = "/var/staging"
puts("Creating staging area /var/staging")
FileUtils.mkdir_p(staging, :mode => 0755)
puts(" " + `ls -ld #{staging}`)
puts("Done.")
